Index: uspace/srv/net/tl/udp/udp.c
===================================================================
--- uspace/srv/net/tl/udp/udp.c	(revision 32eceb4ff0c0ddeba47997beaa5d0677aee84d3a)
+++ uspace/srv/net/tl/udp/udp.c	(revision 1b22bd45ebc7f42217757e90fa6e5b57f6ed5d1d)
@@ -97,6 +97,6 @@
  * @param[in] client_connection The client connection processing function. The
  *			module skeleton propagates its own one.
- * @return		EOK on success.
- * @return		ENOMEM if there is not enough memory left.
+ * @returns		EOK on success.
+ * @returns		ENOMEM if there is not enough memory left.
  */
 int udp_initialize(async_client_conn_t client_connection)
@@ -112,5 +112,5 @@
 		}
 	};
-	measured_string_t *configuration;
+	measured_string_ref configuration;
 	size_t count = sizeof(names) / sizeof(measured_string_t);
 	char *data;
@@ -190,5 +190,5 @@
  * @return		The result parameter.
  */
-static int udp_release_and_return(packet_t *packet, int result)
+static int udp_release_and_return(packet_t packet, int result)
 {
 	pq_release_remote(udp_globals.net_phone, packet_get_id(packet));
@@ -205,17 +205,17 @@
  * @param[in] error	The packet error reporting service. Prefixes the
  *			received packet.
- * @return		EOK on success.
- * @return		EINVAL if the packet is not valid.
- * @return		EINVAL if the stored packet address is not the
+ * @returns		EOK on success.
+ * @returns		EINVAL if the packet is not valid.
+ * @returns		EINVAL if the stored packet address is not the
  *			an_addr_t.
- * @return		EINVAL if the packet does not contain any data.
- * @return 		NO_DATA if the packet content is shorter than the user
+ * @returns		EINVAL if the packet does not contain any data.
+ * @returns 		NO_DATA if the packet content is shorter than the user
  *			datagram header.
- * @return		ENOMEM if there is not enough memory left.
- * @return		EADDRNOTAVAIL if the destination socket does not exist.
- * @return		Other error codes as defined for the
+ * @returns		ENOMEM if there is not enough memory left.
+ * @returns		EADDRNOTAVAIL if the destination socket does not exist.
+ * @returns		Other error codes as defined for the
  *			ip_client_process_packet() function.
  */
-static int udp_process_packet(device_id_t device_id, packet_t *packet,
+static int udp_process_packet(device_id_t device_id, packet_t packet,
     services_t error)
 {
@@ -223,11 +223,11 @@
 	size_t offset;
 	int result;
-	udp_header_t *header;
-	socket_core_t *socket;
-	packet_t *next_packet;
+	udp_header_ref header;
+	socket_core_ref socket;
+	packet_t next_packet;
 	size_t total_length;
 	uint32_t checksum;
 	int fragments;
-	packet_t *tmp_packet;
+	packet_t tmp_packet;
 	icmp_type_t type;
 	icmp_code_t code;
@@ -235,5 +235,5 @@
 	struct sockaddr *src;
 	struct sockaddr *dest;
-	packet_dimension_t *packet_dimension;
+	packet_dimension_ref packet_dimension;
 	int rc;
 
@@ -277,5 +277,5 @@
 
 	/* Get UDP header */
-	header = (udp_header_t *) packet_get_data(packet);
+	header = (udp_header_ref) packet_get_data(packet);
 	if (!header)
 		return udp_release_and_return(packet, NO_DATA);
@@ -409,9 +409,9 @@
  * @param[in] error	The packet error reporting service. Prefixes the
  *			received packet.
- * @return		EOK on success.
- * @return		Other error codes as defined for the
+ * @returns		EOK on success.
+ * @returns		Other error codes as defined for the
  *			udp_process_packet() function.
  */
-static int udp_received_msg(device_id_t device_id, packet_t *packet,
+static int udp_received_msg(device_id_t device_id, packet_t packet,
     services_t receiver, services_t error)
 {
@@ -439,26 +439,26 @@
  * @param[out] data_fragment_size The data fragment size in bytes.
  * @param[in] flags	Various send flags.
- * @return		EOK on success.
- * @return		EAFNOTSUPPORT if the address family is not supported.
- * @return		ENOTSOCK if the socket is not found.
- * @return		EINVAL if the address is invalid.
- * @return		ENOTCONN if the sending socket is not and cannot be
+ * @returns		EOK on success.
+ * @returns		EAFNOTSUPPORT if the address family is not supported.
+ * @returns		ENOTSOCK if the socket is not found.
+ * @returns		EINVAL if the address is invalid.
+ * @returns		ENOTCONN if the sending socket is not and cannot be
  *			bound.
- * @return		ENOMEM if there is not enough memory left.
- * @return		Other error codes as defined for the
+ * @returns		ENOMEM if there is not enough memory left.
+ * @returns		Other error codes as defined for the
  *			socket_read_packet_data() function.
- * @return		Other error codes as defined for the
+ * @returns		Other error codes as defined for the
  *			ip_client_prepare_packet() function.
- * @return		Other error codes as defined for the ip_send_msg()
+ * @returns		Other error codes as defined for the ip_send_msg()
  *			function.
  */
-static int udp_sendto_message(socket_cores_t *local_sockets, int socket_id,
+static int udp_sendto_message(socket_cores_ref local_sockets, int socket_id,
     const struct sockaddr *addr, socklen_t addrlen, int fragments,
     size_t *data_fragment_size, int flags)
 {
-	socket_core_t *socket;
-	packet_t *packet;
-	packet_t *next_packet;
-	udp_header_t *header;
+	socket_core_ref socket;
+	packet_t packet;
+	packet_t next_packet;
+	udp_header_ref header;
 	int index;
 	size_t total_length;
@@ -469,5 +469,5 @@
 	size_t headerlen;
 	device_id_t device_id;
-	packet_dimension_t *packet_dimension;
+	packet_dimension_ref packet_dimension;
 	int rc;
 	
@@ -599,21 +599,21 @@
  * @param[in] flags	Various receive flags.
  * @param[out] addrlen	The source address length.
- * @return		The number of bytes received.
- * @return		ENOTSOCK if the socket is not found.
- * @return		NO_DATA if there are no received packets or data.
- * @return		ENOMEM if there is not enough memory left.
- * @return		EINVAL if the received address is not an IP address.
- * @return		Other error codes as defined for the packet_translate()
+ * @returns		The number of bytes received.
+ * @returns		ENOTSOCK if the socket is not found.
+ * @returns		NO_DATA if there are no received packets or data.
+ * @returns		ENOMEM if there is not enough memory left.
+ * @returns		EINVAL if the received address is not an IP address.
+ * @returns		Other error codes as defined for the packet_translate()
  *			function.
- * @return		Other error codes as defined for the data_reply()
+ * @returns		Other error codes as defined for the data_reply()
  *			function.
  */
-static int udp_recvfrom_message(socket_cores_t *local_sockets, int socket_id,
+static int udp_recvfrom_message(socket_cores_ref local_sockets, int socket_id,
     int flags, size_t *addrlen)
 {
-	socket_core_t *socket;
+	socket_core_ref socket;
 	int packet_id;
-	packet_t *packet;
-	udp_header_t *header;
+	packet_t packet;
+	udp_header_ref header;
 	struct sockaddr *addr;
 	size_t length;
@@ -644,5 +644,5 @@
 		return udp_release_and_return(packet, NO_DATA);
 	}
-	header = (udp_header_t *) data;
+	header = (udp_header_ref) data;
 
 	/* Set the source address port */
@@ -698,5 +698,5 @@
  * @param[in] callid 	The message identifier.
  * @param[in] call	The message parameters.
- * @return		EOK on success.
+ * @returns		EOK on success.
  *
  * @see	socket.h
@@ -714,5 +714,5 @@
 	ipc_call_t answer;
 	int answer_count;
-	packet_dimension_t *packet_dimension;
+	packet_dimension_ref packet_dimension;
 
 	/*
@@ -852,6 +852,6 @@
  * @param[out] answer_count The last parameter for the actual answer in the
  *			answer parameter.
- * @return		EOK on success.
- * @return		ENOTSUP if the message is not known.
+ * @returns		EOK on success.
+ * @returns		ENOTSUP if the message is not known.
  *
  * @see udp_interface.h
@@ -861,5 +861,5 @@
     ipc_call_t *answer, int *answer_count)
 {
-	packet_t *packet;
+	packet_t packet;
 	int rc;
 
@@ -924,6 +924,6 @@
 /** Starts the module.
  *
- * @return		EOK on success.
- * @return		Other error codes as defined for each specific module
+ * @returns		EOK on success.
+ * @returns		Other error codes as defined for each specific module
  *			start function.
  */
Index: uspace/srv/net/tl/udp/udp_header.h
===================================================================
--- uspace/srv/net/tl/udp/udp_header.h	(revision 32eceb4ff0c0ddeba47997beaa5d0677aee84d3a)
+++ uspace/srv/net/tl/udp/udp_header.h	(revision 1b22bd45ebc7f42217757e90fa6e5b57f6ed5d1d)
@@ -49,4 +49,9 @@
 typedef struct udp_header udp_header_t;
 
+/** Type definition of the user datagram header pointer.
+ * @see udp_header
+ */
+typedef udp_header_t *udp_header_ref;
+
 /** User datagram header. */
 struct udp_header {
